# UESC
# Ciência da Computação
# Disciplina: Probabilidade e Estatística 2016.1
# Aluno: Álvaro Maciel
# Melhorado: 27/10/2022 08:22:56
# Professor: José Claudio Faria


#. Amostragem aleatória simples
# Num jogo de loteria como a Lotofácil, a população equivale a 25 elementos enumerados de 01 a 25,
# onde o jogador deve escolher os 15 números que ele supõe que representam a possível amostra a ser sorteada.
# O sorteio acontece de forma que dentre os 25, um número por vez é sorteado até que o tamanho da amostra
# (15 números) seja atingido.

#... Declaração de variáveis
N_pop <- 25
n_amo <- 15

#.. Vetor que apresenta os 25 elementos da cartela
(cartela <- 1:N_pop)

#.. Vetor com os 15 números sorteados (sem reposição)
set.seed(2021)
amo_s <- sample(cartela,
                n_amo)
amo_s
sort(amo_s)
table(amo_s)
    
#.. Vetor com os 15 números sorteados (com reposição)
set.seed(2021)
amo_c <- sample(N_pop,
                n_amo,
                replace=TRUE)
sort(amo_c)
table(amo_c)
