# UESC
# Ciência da Computação
# Disciplina: Probabilidade e Estatística 2016.1
# Aluno: Álvaro Maciel
# Melhorado: 27/10/2022 08:26:23
# Professor: José Claudio Faria

#. Amostragem estratificada
# Numa escola com 100 alunos, 25 deles tem entre 5 e 9 anos, 35 deles tem entre 10 e 13 anos,
# e 40 alunos tem entre 14 e 17 anos. Extrair uma amostra de 20 alunos desta escola, 
# por meio do método de amostragem estratificada.

N_pop <- 100

E1 <- 25 # Alunos entre 5 e 9 anos
E2 <- 35 # Alunos entre 10 e 13 anos
E3 <- 40 # Alunos entre 14 e 17 anos

#.. Confirmando o tamanho de pop somando os estratos
sum(E1,
    E2,
    E3)

n_amo <- 20

#... fator de amostragem
(f <- n_amo / N_pop)

#--------------
#.. E1
#--------------
# n_E1 define a quantidade de elementos que serão sorteados no estrato 1
(n_E1 <- E1 * f)

# Nesse caso, será feito o sorteio de n_E1 = 5 elementos
# dentro do estrato 1 contendo 25 elementos, sem reposição.
set.seed(2021)
(a_E1 <- sample(E1,
                n_E1))

names(a_E1) <- paste('E1',
                     1:length(a_E1),
                     sep='.')
a_E1

#--------------
#.. E2
#--------------
(n_E2 <- E2 * f)

set.seed(2021)
(a_E2 <- sample(E2,
                n_E2))

names(a_E2) <- paste('E2',
                     1:length(a_E2),
                     sep='.')
a_E2

#--------------
#.. E3
#--------------
(n_E3 <- E3 * f)

set.seed(2021)
(a_E3 <- sample(E3,
                n_E3))

names(a_E3) <- paste('E3',
                     1:length(a_E3),
                     sep='.')
a_E3

#.. Amostra final
(amo <- c(a_E1,
          a_E2,
          a_E3))

length(amo)
